local assets =
{
    Asset("ANIM", "anim/tahusword.zip"),
   	Asset("ANIM", "anim/swap_tahusword.zip"),
	Asset("ATLAS", "images/inventoryimages/tahusword.xml")
}

-------------
local function onattack_fire(inst, attacker, target, skipsanity)

    if target.components.burnable and not target.components.burnable:IsBurning() then
        if target.components.freezable and target.components.freezable:IsFrozen() then           
            target.components.freezable:Unfreeze()            
        else            
            target.components.burnable:Ignite(true)
        end   
    end

    if target.components.freezable then
        target.components.freezable:AddColdness(-1) --Does this break ice staff?
        if target.components.freezable:IsFrozen() then
            target.components.freezable:Unfreeze()            
        end
    end

    if target.components.sleeper and target.components.sleeper:IsAsleep() then
        target.components.sleeper:WakeUp()
    end

    if target.components.combat then
        target.components.combat:SuggestTarget(attacker)
    end

    attacker.SoundEmitter:PlaySound("dontstarve/wilson/fireball_explo")
    target:PushEvent("attacked", {attacker = attacker, damage = 0})
end

local function onlight(inst, target)
    if inst.components.finiteuses then
        inst.components.finiteuses:Use(1)
    end
end
-------------


local function onfinished(inst)
    inst:Remove()
end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_tahusword", "swap_nightmaresword")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end


local function fn(Sim)
     local inst = CreateEntity()
	 
	 inst.entity:AddTransform()
	 inst.entity:AddAnimState()
	 inst.entity:AddNetwork()
	 
	 MakeInventoryPhysics(inst)
	 
	 inst.AnimState:SetBank("nightmaresword")
	 inst.AnimState:SetBuild("linksword")
	 inst.AnimState:PlayAnimation("idle")
	 
    inst:AddTag("sharp")
    
	if not TheWorld.ismastersim then
        return inst
    end
    
	inst:AddComponent("weapon")
    	inst.components.weapon:SetDamage(TUNING.SPEAR_DAMAGE)
	    inst.components.weapon:SetOnAttack(onattack_fire)

    	inst:AddComponent("finiteuses")
    	inst.components.finiteuses:SetMaxUses(200)
    	inst.components.finiteuses:SetUses(200)    
	inst.components.finiteuses:SetOnFinished(inst.Remove)


	 
	 inst:AddComponent("inventoryitem")
	 inst.components.inventoryitem.atlasname = "images/inventoryimages/tahusword.xml"
    
   	inst:AddComponent("inspectable")
   	
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    
    return inst
	 
end

return Prefab( "common/inventory/tahusword", fn, assets)